#pragma once

#include "CoreMinimal.h"
#include "ComponentPoolElement.generated.h"

class UActorComponent;

USTRUCT(BlueprintType)
struct FComponentPoolElement
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced)
	UActorComponent* Component;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool IsAcquired;

public:
	GAMEPLAYUTILITIES_API FComponentPoolElement();
};

FORCEINLINE uint32 GetTypeHash(const FComponentPoolElement) { return 0; }
